Package org.h2.util.json

# Enum Class JSONItemType

java.lang.Object
java.lang.Enum<JSONItemType>
org.h2.util.json.JSONItemType

All Implemented Interfaces:
  `Serializable`, `Comparable<JSONItemType>`, `Constable`

public enum JSONItemType extends Enum<JSONItemType>
JSON item type.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARRAY`
JSON array.
`OBJECT`
JSON object.
`SCALAR`
JSON scalar value: string, number, `true`, `false`, or `null`.
`VALUE`
Either `ARRAY`, `OBJECT`, or `SCALAR`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`includes(JSONItemType type)`
Checks whether this item type includes the specified item type.
`static JSONItemType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JSONItemType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VALUE

public static final JSONItemType VALUE
Either `ARRAY`, `OBJECT`, or `SCALAR`.

### ARRAY

public static final JSONItemType ARRAY
JSON array.

### OBJECT

public static final JSONItemType OBJECT
JSON object.

### SCALAR

public static final JSONItemType SCALAR
JSON scalar value: string, number, `true`, `false`, or `null`.

## Method Details

### values

public static JSONItemType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JSONItemType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### includes

public boolean includes(JSONItemType type)
Checks whether this item type includes the specified item type.

Parameters:
  `type` - item type to check
Returns:
  whether this item type includes the specified item type